Magick++: Magick::DrawableTextInterwordSpacing Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableTextInterwordSpacing Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextInterwordSpacing:
[legend]
Collaboration diagram for Magick::DrawableTextInterwordSpacing:
[legend]

## Public Member Functions
| DrawableTextInterwordSpacing (double spacing_)
| ~DrawableTextInterwordSpacing (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | spacing (double spacing_)
double | spacing (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2182 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextInterwordSpacing()

Magick::DrawableTextInterwordSpacing::DrawableTextInterwordSpacing | ( | double | spacing_ | ) |

Definition at line 1633 of file Drawable.cpp.

## ◆ ~DrawableTextInterwordSpacing()

Magick::DrawableTextInterwordSpacing::~DrawableTextInterwordSpacing | ( | void |  | ) |

Definition at line 1639 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextInterwordSpacing::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1659 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextInterwordSpacing::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1643 of file Drawable.cpp.

## ◆ spacing() [1/2]

void Magick::DrawableTextInterwordSpacing::spacing | ( | double | spacing_ | ) |

Definition at line 1649 of file Drawable.cpp.

## ◆ spacing() [2/2]

double Magick::DrawableTextInterwordSpacing::spacing | ( | void |  | ) | const

Definition at line 1654 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp